#    Copyright (C) 2008 Niels Richard Hansen. 
# 
#    This file is part of StemSearch.
#
#    StemSearch is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 3 of the License, or
#    (at your option) any later version.
#
#    StemSearch is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program. If not, see <http://www.gnu.org/licenses/>.

######################################################################
#This example R script loads the default parameter file, estimates   # 
#the stack scores from predicted RNA structures for Human miRNA,     #
#recompute the normalization parameters and saves the new            #
#parameters in the file "Ex1.par".                                   #
#It is assumed that the R working directory is /StemSearch/R/        #
######################################################################

source("parameterIO.r")

default.par <- read.parameters(file="../parameters/default.par")
st.tp <- stack.trans.prob(file="../data/hsa_miRNA_folds")
Ex1.par <- update.stack.scores(default.par,st.tp)
Ex1.par <- est.norm.lp(Ex1.par)
Ex1.par <- est.norm.nolp(Ex1.par)
write.parameters(file="Ex1.par",parameters=Ex1.par)





